cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling

## Class SIU_S12_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SIU_S12_Common

- Direct Known Subclasses:
    SIU_S12, SIU_S13, SIU_S14, SIU_S15, SIU_S16, SIU_S17, SIU_S18, SIU_S19, SIU_S20, SIU_S21, SIU_S22, SIU_S23, SIU_S24, SIU_S26, SIU_S27

      public abstract class SIU_S12_Common
      extends Message

  SIU_S12 - Schedule Information Unsolicited Message (event S12). This event is use between filler applications and auxiliary applications. Transactions are initiated by the filler application, using the SIU message to notify auxiliary applications of modifications in a filler application's schedule(s).

  Represents a SIU_S12 message structure (see chapter 10.4). This structure contains the following elements:

  0: MSH (Message Header segment) SINGLE_COMPULSARY
  1: SCH (Schedule Activity Information) SINGLE_COMPULSARY
  2: TQ1 (Timing/Quantity) MULTIPLE_OPTIONAL
  3: NTE (Notes and Comments for the SCH) MULTIPLE_OPTIONAL
  4: PATIENT (a Group in SIU_S12 message) MULTIPLE_OPTIONAL
  5: RESOURCES(a Group in SIU_S12 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotesandCommentsSegment(NTE objNTE)` Adds Notes and Comments for the SCH Segment(NTE) to this message.
    `void` | `addNotesandCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments for the SCH Segment(NTE) to this message.
    `void` | `addPatientGroup(IGroup objGroup)` Adds PATIENT GROUP to this message.
    `void` | `addPatientGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PATIENT GROUP to this message.
    `void` | `addResourcesGroup(IGroup objGroup)` Adds RESOURCES GROUP to this message.
    `void` | `addResourcesGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of RESOURCES GROUP to this message.
    `void` | `addTimingQuantitySegment(TQ1 objTQ1)` Adds Timing/Quantity Segment(TQ1) to this message.
    `void` | `addTimingQuantitySegments(ISingleCollection<TQ1> objTQ1SegmentCollection)` Adds collection of TimingQuantity Segment(TQ1) to this message.
    `ISingleCollection<NTE>` | `getNotesandCommentsSegments()` Retrieves Collection of Notes and Comments for the SCH Segments(NTE) present in this message.
    `ISingleCollection<IGroup>` | `getPatientGroups()` Retrieves Collection of PATIENT GROUP present in this message.
    `ISingleCollection<IGroup>` | `getResourcesGroups()` Retrieves Collection of RESOURCES GROUP present in this message.
    `SCH` | `getScheduleActivityInformation()` Retrieves Schedule Activity Information (SCH) segment present in this message
    `ISingleCollection<TQ1>` | `getTimingQuantitySegments()` Retrieves Collection of Timing/Quantity Segments(TQ1) present in this message.
    `void` | `setScheduleActivityInformation(SCH objSCH)` Sets value of Schedule Activity Information segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getScheduleActivityInformation

          public SCH getScheduleActivityInformation()

      Retrieves Schedule Activity Information (SCH) segment present in this message
      Returns:
        SCH - the Schedule Activity Information Segment present in this message or null if unavailable.

    - #### setScheduleActivityInformation

          public void setScheduleActivityInformation(SCH objSCH)

      Sets value of Schedule Activity Information segment for this message,overwrites if already present.
      Parameters:
        `objSCH` - Specified Schedule Activity Information Segment

    - #### getTimingQuantitySegments

          public ISingleCollection<TQ1> getTimingQuantitySegments()

      Retrieves Collection of Timing/Quantity Segments(TQ1) present in this message.
      Returns:
        ISingleCollection - Collection of Timing/Quantity Segments(TQ1) present in this message.

    - #### addTimingQuantitySegment

          public void addTimingQuantitySegment(TQ1 objTQ1)

      Adds Timing/Quantity Segment(TQ1) to this message.
      Parameters:
        `objTQ1` - Specified Timing/Quantity Segment(TQ1)to this message.

    - #### addTimingQuantitySegments

          public void addTimingQuantitySegments(ISingleCollection<TQ1> objTQ1SegmentCollection)

      Adds collection of TimingQuantity Segment(TQ1) to this message.
      Parameters:
        `objTQ1SegmentCollection` - Collection of Timing/Quantity Segments to add in this message

    - #### getNotesandCommentsSegments

          public ISingleCollection<NTE> getNotesandCommentsSegments()

      Retrieves Collection of Notes and Comments for the SCH Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments for the SCH Segments(NTE) present in this message.

    - #### addNotesandCommentsSegment

          public void addNotesandCommentsSegment(NTE objNTE)

      Adds Notes and Comments for the SCH Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments for the SCH Segment(NTE)to this message.

    - #### addNotesandCommentsSegments

          public void addNotesandCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments for the SCH Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments for the SCH segments to add in this message

    - #### getPatientGroups

          public ISingleCollection<IGroup> getPatientGroups()

      Retrieves Collection of PATIENT GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PATIENT Group present in this Message.

    - #### addPatientGroups

          public void addPatientGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PATIENT GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PATIENT GROUP Collection.

    - #### addPatientGroup

          public void addPatientGroup(IGroup objGroup)

      Adds PATIENT GROUP to this message.
      Parameters:
        `objGroup` - Specified PATIENT GROUP.

    - #### getResourcesGroups

          public ISingleCollection<IGroup> getResourcesGroups()

      Retrieves Collection of RESOURCES GROUP present in this message.
      Returns:
        ISingleCollection - Collection of RESOURCES Group present in this Message.

    - #### addResourcesGroups

          public void addResourcesGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of RESOURCES GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified RESOURCES GROUP Collection.

    - #### addResourcesGroup

          public void addResourcesGroup(IGroup objGroup)

      Adds RESOURCES GROUP to this message.
      Parameters:
        `objGroup` - Specified RESOURCES GROUP.